Package org.eclipse.birt.chart.event

# Class PolygonRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.PolygonRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

Direct Known Subclasses:
  `Polygon3DRenderEvent`

public class PolygonRenderEvent extends PrimitiveRenderEvent
A rendering event type for rendering Polygon object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`PolygonRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`final void`
`draw(IDeviceRenderer idr)`
Causes this instruction to 'draw' itself on the device renderer
`final void`
`fill(IDeviceRenderer idr)`
Causes this instruction to 'fill' itself on the device renderer
`Fill`
`getBackground()`
`Bounds`
`getBounds()`
Returns the mimimum bounds required to contain the rendering area for current event.
`LineAttributes`
`getLineAttributes()`
`LineAttributes`
`getOutline()`
`final Location[]`
`getPoints()`
`void`
`reset()`
Resets the inner state of current event.
`void`
`setBackground(Fill ifBackground)`
Sets the background fill attributes for the polygon
`void`
`setOutline(LineAttributes lia)`
Sets the polygon outline attributes
`final void`
`setPoints(Location[] la)`
Sets the co-ordinates for each point that defines the polygon.

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getDepth, getLabel, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PolygonRenderEvent

public PolygonRenderEvent(Object oSource)
The constructor.

## Method Details

### setPoints

public final void setPoints(Location[] la)
Sets the co-ordinates for each point that defines the polygon.

### getPoints

public final Location[] getPoints()

Returns:
  Returns the co-ordinates for each point in the polygon

### getBackground

public Fill getBackground()

Overrides:
  `getBackground` in class `PrimitiveRenderEvent`
Returns:
  Returns the background fill attributes for the polygon

### setBackground

public void setBackground(Fill ifBackground)
Sets the background fill attributes for the polygon

### getOutline

public LineAttributes getOutline()

Returns:
  Returns the polygon outline attributes.

### setOutline

public void setOutline(LineAttributes lia)
Sets the polygon outline attributes

### getBounds

public Bounds getBounds() throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Returns the mimimum bounds required to contain the rendering area for current event.

Overrides:
  `getBounds` in class `PrimitiveRenderEvent`
Returns:
Throws:
  `ChartException` - if not implemented by concrete class

### copy

public PrimitiveRenderEvent copy()

Overrides:
  `copy` in class `PrimitiveRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses

### draw

public final void draw(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'draw' itself on the device renderer

Overrides:
  `draw` in class `PrimitiveRenderEvent`
Parameters:
  `idr` -
Throws:
  `ChartException`

### fill

public final void fill(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'fill' itself on the device renderer

Overrides:
  `fill` in class `PrimitiveRenderEvent`
Parameters:
  `idr` -
Throws:
  `ChartException`

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`

### getLineAttributes

public LineAttributes getLineAttributes()

Overrides:
  `getLineAttributes` in class `PrimitiveRenderEvent`
Returns:
  A reference to the LineAttributes